Subject: Re: bug#29798: 24.3; Javascript: Too much indentation with + and -

From: Stefan Kangas <[email-masked]>
Date: Mon, 10 Aug 2020 17:53:43 +0200

Dmitry Gutov <[email-masked]> writes:

> > I can reproduce this on current master.  I see the following
> > indentation:
> >
> > {
> > -2,
> >      2,
> >   +2
> > }
>
> I don't think that's valid JavaScript either.

In the Firefox web console, I get

{ -2, 2, +2 }  =>  2

So I guess it's valid, if a bit nonsensical? I must admit that my
knowledge of JavaScript is terrible though.

Best regards,
Stefan Kangas